#if !defined(AFX_PRPPAGESIZE_H__D2A8DF52_E1C6_11D3_AF37_00C0F6B0E2D0__INCLUDED_)
#define AFX_PRPPAGESIZE_H__D2A8DF52_E1C6_11D3_AF37_00C0F6B0E2D0__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// PrpPageSize.h : _xZkqqHx_iDhHiDgCiDfPiBfL_xHqqkZx_ _xZkqqHx_iDhEiDeAiDeDiDiL_xHqqkZx_
//

#include "SpnHiUnit.h"		// For CFCSpnHiUnit.
#include "StcBorder.h"		// For CFCStcBorder.
#include "PrpPageSizeSub.h"	// For CFCPRPPAGESIZE.
#include "PropertyPageBase.h"	// For Baseclass.

#ifdef SUPER_CLASS
#undef SUPER_CLASS
#endif
#define SUPER_CLASS CFCPropertyPageBase

/////////////////////////////////////////////////////////////////////////////
// CFCPrpPageSize _xZkqqHx_iDfPiDeDiDeBiDiNiDeP_xHqqkZx_

class CFCPrpPageSize : public SUPER_CLASS
{
protected:
typedef SUPER_CLASS BASE_CLASS;

	DECLARE_DYNCREATE(CFCPrpPageSize)

// _xZkqqHx_iDfCiDjDiDfIiDgHiDiJiDeOiDfGiDiHiDjD_xHqqkZx_
public:
	CFCPrpPageSize();
	~CFCPrpPageSize();

// _xZkqqHx_iDfPiDeDiDeBiDiNiDeP_xHqqkZx_ _xZkqqHx_iDgGiBfLiDfO_xHqqkZx_
	//{{AFX_DATA(CFCPrpPageSize)
	enum { IDD = IDD_PRP_PAGE_SIZE };
	CSpinButtonCtrl	m_spnPageLine;
	CSpinButtonCtrl	m_spnPageColumn;
	CFCSpnHiUnit	m_spnPageTop;
	CFCSpnHiUnit	m_spnPageLeft;
	CFCStcBorder	m_stcBorder2;
	CFCStcBorder	m_stcBorder1;
	//}}AFX_DATA

CFCPRPPAGESIZE

// _xZkqqHx_iDiGiBfLiDfFiKnGjAjEiBeC_xHqqkZx_
protected:
//----- 00.02.29 Fukushiro M. _xZkqqHx_iNoNiPjMiOgO_xHqqkZx_ ()-----
//	virtual BOOL	IsConsistent () const;
//	virtual void	UpdateModified ();
//	virtual void	UpdateControls (DWORD dwCtrl);
//	virtual void	UpdateActivate ();
//	virtual void	InitValue ();
//----- 00.02.29 Fukushiro M. _xZkqqHx_iNoNiPjMiPeJ_xHqqkZx_ ()-----
	virtual BOOL	GetPaperPageSize (mmetol& mmWidth, mmetol& mmHeight) const;

//----- 00.02.29 Fukushiro M. _xZkqqHx_iNoNiPjMiOgO_xHqqkZx_ ()-----
//// _xZkqqHx_iDiGiBfLiDfFjFmPjAjEiBeC_xHqqkZx_
//protected:
//	FCPrpAttr<xtmc>	m_txtmPageTimes;
//	BOOL	m_bIsReady;	// _xZkqqHx_iPiIjHjNiPiAjEpFiCgOiCgKiBeI_xHqqkZx_
//----- 00.02.29 Fukushiro M. _xZkqqHx_iNoNiPjMiPeJ_xHqqkZx_ ()-----

// _xZkqqHx_iDeJiBfLiDgPiBfLiDiJiDeDiDgI_xHqqkZx_
	// ClassWizard _xZkqqHx_iCmNiJlMjBhKiKnGjAjEiCmMiDeJiBfLiDgPiBfLiDiJiDeDiDgIiCpAjAlGjAkMiClFiCnMiClHiBeC_xHqqkZx_
	//{{AFX_VIRTUAL(CFCPrpPageSize)
	public:
	virtual void OnOK();
	virtual BOOL OnSetActive();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV _xZkqqHx_iDfEiDhMiBfLiDgH_xHqqkZx_
	//}}AFX_VIRTUAL

// _xZkqqHx_iDeDiDjDiDhGiDiKiDiBiDjDiDgFiBfLiDfGiDiHiDjD_xHqqkZx_
protected:
	// _xZkqqHx_jAlGjAkMiClDiCoKiClNiDiBiDgCiDfKiBfLiDfH_xHqqkZx_ _xZkqqHx_iDhNiDgCiDhGiKnGjAjE_xHqqkZx_
	//{{AFX_MSG(CFCPrpPageSize)
	virtual BOOL OnInitDialog();
	afx_msg void OnEditchangePgeCmbPageTimesX();
	afx_msg void OnSelchangePgeCmbPageTimesX();
	afx_msg void OnDialogInitValue();
	afx_msg void OnEditchangePgeCmbPageTimesY();
	afx_msg void OnSelchangePgeCmbPageTimesY();
	afx_msg HBRUSH OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor);
	afx_msg void OnCloseupPgeCmbPageTimesX();
	afx_msg void OnCloseupPgeCmbPageTimesY();
	afx_msg void OnPgeChkEqPageSheetLt();
	afx_msg void OnPgeChkEqPageSheetRb();
	afx_msg void OnChangePgeEdtPageLeft();
	afx_msg void OnChangePgeEdtPageTop();
	afx_msg void OnChangePgeEdtPageColumn();
	afx_msg void OnChangePgeEdtPageLine();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
//	afx_msg void OnPgeChkDrawPageBorder();

}; // class CFCPrpPageSize.

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ _xZkqqHx_iCmNjBePiNhDiCmMjClMjBePiCmJjCmHiJmBiCmMjAoJiMlOiCpAjBhNjDpMiClFiCnMiClHiBeC_xHqqkZx_

#endif // !defined(AFX_PRPPAGESIZE_H__D2A8DF52_E1C6_11D3_AF37_00C0F6B0E2D0__INCLUDED_)
